##本地mysql
###端口号配置
server.port=8889
####jdbc配置
spring.datasource.url=jdbc:mysql://172.16.0.36:3306/depot_qh?allowMultiQueries=true&useUnicode=true&characterEncoding=UTF-8&useSSL=true&serverTimezone=GMT%2b8
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.username=root
spring.datasource.password=admin@1234

#宁盾单点登录参数
nd.url:10.106.101.55:7080
nd.client-id:06008a7b-8dd3-417c-a2e1-956ba3fe8c16
nd.client-secret:crk

#resdis配置
spring.redis.database=2
spring.redis.host=172.16.0.36
spring.redis.port=6379
spring.redis.password=admin@1234
spring.redis.timeout=60000ms
# 连接池最大连接数(使用负值表示没有限制)
spring.redis.jedis.pool.max-active=16
# 连接池最大阻塞等待时间(使用负值表示没有限制)
spring.redis.jedis.pool.max-wait=-1ms
# 连接池中的最大空闲连接
spring.redis.jedis.pool.max-idle=16
# 连接池中的最小空闲连接
spring.redis.jedis.pool.min-idle=0

###druid配置
spring.datasource.type=com.alibaba.druid.pool.DruidDataSource
spring.datasource.druid.filters=stat
spring.datasource.druid.max-active=20
spring.datasource.druid.initial-size=1
spring.datasource.druid.max-wait=60000
spring.datasource.druid.min-idle=1
spring.datasource.druid.time-between-eviction-runs-millis=60000
spring.datasource.druid.min-evictable-idle-time-millis=300000
spring.datasource.druid.validation-query=select 'x'
spring.datasource.druid.test-while-idle=true
spring.datasource.druid.test-on-borrow=false
spring.datasource.druid.test-on-return=true
spring.datasource.druid.pool-prepared-statements=true
spring.datasource.druid.max-open-prepared-statements=20

###jackson
spring.jackson.date-format=yyyy-MM-dd HH:mm:ss
spring.jackson.time-zone=GMT+8
spring.jackson.default-property-inclusion=non_empty
###MybatisPlus
mybatis-plus.configuration.map-underscore-to-camel-case=true
mybatis-plus.mapper-locations=classpath*:mapper/**/*.xml
mybatis-plus.configuration.log-impl=org.apache.ibatis.logging.stdout.StdOutImpl
mybatis-plus.type-aliases-package=com.unis.**.*.entity
#数据更新时只更新为数据不为NULL值的字段
mybatis-plus.global-config.db-config.field-strategy=not_null
###自定义配置
project.uncurbed.url=/login
project.uncurbed.role=ROLE_LOGIN
#加长请求头
server.max-http-header-size=2048KB
#文件静态资源目录
spring.resources.static-locations=classpath:/META-INF/resources/,classpath:/resources/,classpath:/static/,classpath:/public/,file:static/


# 启用http上传
spring.servlet.multipart.enabled=true
# 设置支持的单个上传文件的大小限制
spring.servlet.multipart.max-file-size=50MB
# 设置最大的请求文件大小，设置总体大小请求
spring.servlet.multipart.max-request-size=50MB
# 当上传文件达到指定配置量的时候，将文件内容写入磁盘
spring.servlet.multipart.file-size-threshold=512KB
# 设置上传的临时目录
spring.servlet.multipart.location=/home/sysupuser/apache-tomcat-8.5.53/file
